<?php
/**
 * Android theme admin page
 */
do_action( 'android_options_page' );

if ( isset( $_REQUEST['saved'] ) ) echo '<div id="message" class="updated fade"><p><strong>'.__('Options saved.', 'android').'</strong></p></div>';
?>
<div class="wrap">
	<h2><?php _e('Android Theme Options', 'android'); ?></h2>
	
	<p><?php _e('You might want to use the plugin <code>ajax-thumbnail-rebuild</code> to regenerate the thumbnails after changing the height!', 'android'); ?></p>
	<p><?php _e('<strong>Note:</strong> If you don&#39;t regenerate the thumbnails, your new height won&#39;t be applied on old thumbs.', 'android'); ?></p>
	
<form method="post" action="">
	
	<input type="hidden" name="option_page" value="android" />
	<input type="hidden" name="action" value="update" />
	<input type="hidden" name="android_save" value="yes" />
	
	<table class="form-table">
		<tr valign="top">
			<th scope="row"><label for="android_thumbnail_height"><?php _e('Thumbnail height', 'android'); ?></label></th>
			<td>
				<input name="android_thumbnail_height" type="text" value="<?php echo get_option('android_thumbnail_height'); ?>" id="android_thumbnail_height" /> <small><?php _e('should be between 100 and 300.', 'android'); ?></small>
			</td>
		</tr>
		<?php /*<tr valign="top">
			<th scope="row"><label for="android_fb_page_id"><?php _e('Facebook Page ID', 'android'); ?></label></th>
			<td>
				<input name="android_fb_page_id" type="text" value="<?php echo esc_attr(get_option('android_fb_page_id')); ?>" id="android_fb_page_id" />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="android_fb_likebox"><?php _e('Show Facebook Likebox', 'android'); ?></label></th>
			<td>
				<input name="android_fb_likebox" type="checkbox" value="yes" id="android_fb_likebox"<?php echo get_option('android_fb_likebox') ? 'checked="true"' : ''; ?> />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="android_fb_like"><?php _e('Show FB Like', 'android'); ?></label></th>
			<td>
				<input name="android_fb_like" type="checkbox" value="yes" id="android_fb_like"<?php echo get_option('android_fb_like') ? 'checked="true"' : ''; ?> />
			</td>
		</tr>
		*/ ?><tr valign="top">
			<th scope="row"><label for="android_show_author"><?php _e('Show author info', 'android'); ?></label></th>
			<td>
				<input name="android_show_author" type="checkbox" value="yes" id="android_show_author"<?php echo get_option('android_show_author') ? 'checked="true"' : ''; ?> />
			</td>
		</tr>
		<tr valign="top">
			<th scope="row"><label for="android_color_scheme"><?php _e('Color scheme', 'android'); ?></label></th>
			<td>
				<select name="android_color_scheme" id="android_color_scheme">
					<?php foreach( android_color_schemes() as $val=> $name ) { ?>

					<option value="<?php echo esc_attr($val); ?>"<?php if( $val == get_option('android_color_scheme') ) { echo ' selected="selected"'; } ?>><?php echo $name; ?></option>

					<?php } ?>

				</select>
			</td>
		</tr>
	</table>
		
	<h3><?php _e('Social Icons', 'android'); ?></h3>
	
	<p><?php _e('Please enter <b>both</b> title and url for each icon to make it appear on the website header.', 'android'); ?></p>
	
	<table class="form-table">
		<?php
			$social_icons = get_option( 'android_social_icons' );
			foreach( android_social_icons() as $icon => $name ) {
				$value = isset($social_icons[$icon]) ? $social_icons[$icon] : array('', '');
				?><tr valign="top">
			<th scope="row"><label for="android_<?php echo $icon ?>_linktitle"><?php printf(__('%s link title', 'android'), $name); ?></label></th>
			<td>
				<input name="android_<?php echo $icon ?>_linktitle" type="text" value="<?php echo esc_attr($value[0]); ?>" id="android_<?php echo $icon ?>_linktitle" />
			</td>
			<th scope="row"><label for="android_<?php echo $icon ?>_url"><?php printf(__('%s URL', 'android'), $name); ?></label></th>
			<td>
				<input name="android_<?php echo $icon ?>_url" type="text" value="<?php echo esc_attr($value[1]); ?>" id="android_<?php echo $icon ?>_url" />
			</td>
		</tr>
		<?php
			}
		?>

	</table>
	
	<p class="submit">
		<input type="submit" name="Submit" class="button-primary" value="Save Changes" />
		<input type="hidden" name="android_settings" value="save" style="display:none;" />
	</p>
</form>

</div>