<?php
/**
 * The Header for our theme.
 *
 * Displays all of the <head> section and everything up till <div id="main">
 *
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.0
 */
?><!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
<meta charset="<?php bloginfo( 'charset' ); ?>" />
<title><?php bloginfo( 'sitename' ); wp_title( '|' ); ?></title>
<link rel="profile" href="http://gmpg.org/xfn/11" />
<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo( 'stylesheet_url' ); ?>" />
<link rel="pingback" href="<?php bloginfo( 'pingback_url' ); ?>" />
<?php
	if ( is_singular() && get_option( 'thread_comments' ) )
		wp_enqueue_script( 'comment-reply' );
	wp_head();
?>
</head>

<body <?php body_class(get_option('android_color_scheme')); ?>>
<div id="wrapper">
	<div id="header">
			<div class="wrap">
				<div id="logo">
					
					<a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><img src="<?php header_image(); ?>" alt="" /></a>
					
					<h1 id="site-title">
						<span>
							<a href="<?php echo home_url( '/' ); ?>" title="<?php echo esc_attr( get_bloginfo( 'name', 'display' ) ); ?>" rel="home"><?php bloginfo( 'name' ); ?></a>
						</span>
					</h1>
					<div id="site-description"><?php bloginfo( 'description' ); ?></div>
					
				</div>
				
				
				<div id="search">
					<?php get_search_form(); ?>

				</div>
				
				<div id="social-icons">
					<?php
					$icons = get_option('android_social_icons');
					foreach( $icons as $icon => $value ) {
					?>

					<a href="<?php echo esc_attr($value[1]); ?>" title="<?php echo esc_attr($value[0]); ?>">
						<img src="<?php echo get_template_directory_uri(); ?>/images/icons/<?php echo $icon; ?>.png" style="width:32px; height:32px;" />
					</a>
					<?php } ?>

				</div>
				
				<!--div class="skip-link screen-reader-text"><a href="#content" title="<?php esc_attr_e( 'Skip to content', 'android' ); ?>"><?php _e( 'Skip to content', 'android' ); ?></a></div-->
				
				<div id="navigation" role="navigation" class="theme-navigation">
				  <?php /*  Allow screen readers / text browsers to skip the navigation menu and get right to the good stuff */ ?>
					<?php /* Our navigation menu.  If one isn't filled out, wp_nav_menu falls back to wp_page_menu.  The menu assiged to the primary position is the one used.  If none is assigned, the menu with the lowest ID is used.  */ ?>
					<?php wp_nav_menu( array( 'container_class' => 'menu-header', 'theme_location' => 'primary' ) ); ?>
				</div><!-- #navigation -->
			</div><!-- .wrap -->
	</div><!-- #header -->
	<div class="wrap"><div id="navbar" role="navigation" class="theme-navigation">
		<?php wp_nav_menu( array( 'menu' => 'navbar', 'fallback_cb' => false, 'container_class' => 'menu-header', 'theme_location' => 'navbar' ) ); ?>

	</div></div>
	

	<div class="wrap"><div id="main">
