<?php
/**
 * The loop that displays posts.
 *
 * The loop displays the posts and the post content.  See
 * http://codex.wordpress.org/The_Loop to understand it and
 * http://codex.wordpress.org/Template_Tags to understand
 * the tags used in it.
 *
 * This can be overridden in child themes with loop.php or
 * loop-template.php, where 'template' is the loop context
 * requested by a template. For example, loop-index.php would
 * be used if it exists and we ask for the loop with:
 * <code>get_template_part( 'loop', 'index' );</code>
 *
 * @package WordPress
 * @subpackage Twenty_Ten
 * @since Twenty Ten 1.0
 */
get_header();
?>

<div id="content">

<?php
	/* Start the Loop.
	 *
	 * In Twenty Ten we use the same loop in multiple contexts.
	 * It is broken into three main parts: when we're displaying
	 * posts that are in the gallery category, when we're displaying
	 * posts in the asides category, and finally all other posts.
	 *
	 * Additionally, we sometimes check for whether we are on an
	 * archive page, a search page, etc., allowing for small differences
	 * in the loop on each template without actually duplicating
	 * the rest of the loop that is shared.
	 *
	 * Without further ado, the loop:
	 */ ?>
<?php while ( have_posts() ) : the_post(); ?>

		<div id="post-<?php the_ID(); ?>" <?php post_class((get_option('android_use_thubmnails')&&has_post_thumbnail()?' has-thumbnail':'')); ?>>
			<h2 class="post-title"><a href="<?php the_permalink(); ?>" title="<?php printf( esc_attr__( 'Permalink to %s', 'android' ), the_title_attribute( 'echo=0' ) ); ?>" rel="bookmark"><?php the_title(); ?></a></h2>

			<div class="post-wrap">
				
				<?php if( get_option('android_use_thubmnails') && has_post_thumbnail() ) {
					?><div class="post-thumbnail"><a href="<?php $tmp = wp_get_attachment_image_src( get_post_thumbnail_id(), 'original' ); echo esc_attr($tmp[0]); ?>" title="<?php the_title_attribute(); ?>"><?php
					the_post_thumbnail();
					?></a></div><?php
				} ?>
	
				<div class="meta post-date">
					<?php android_posted_on(); ?>
				</div><!-- .post-meta -->
				
	
				<?php /*if( get_option('android_fb_like') ) : ?>
				
				<div class="fb-like fl">
					<iframe id="fb-frame" src="http://www.facebook.com/plugins/like.php?href=<?php echo esc_attr( esc_url( get_permalink() ) ); ?>&amp;layout=standard&amp;width=660&amp;height=80&amp;colorscheme=light&amp;show_faces=true&amp;action=like" scrolling="no" frameborder="0" style="border:none; overflow:hidden; width:660px; height:80px; margin-top: 7px;" allowtransparency="true"></iframe>
				</div>
	
				<?php endif;*/ ?><br class="clear" />
				
				<div class="post-content">
					<?php the_content( __( 'Continue reading &rarr;', 'android' ) ); ?>
					<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'android' ), 'after' => '</div>' ) ); ?>
	
				</div><!-- .post-content -->
	
				<br class="clear" />
	
				<div class="post-meta">
					<?php android_post_meta(); ?>
	
				</div><!-- .post-meta -->
				
				<br class="clear" />
				
			</div>
			
			<?php if( get_option('android_show_author') && get_the_author_meta( 'description' ) ) : ?>

			<div id="post-author">
				<div id="author-avatar">
					<?php echo get_avatar( get_the_author_meta( 'user_email' ), 80 ); ?>
				</div><!-- #author-avatar -->
				<div id="author-name">
					<h3><?php printf( esc_attr__( 'About %s', 'twentyten' , 'android'), get_the_author() ); ?></h3>
				</div>
				<div id="author-description">
					<?php the_author_meta( 'description' ); ?>

				</div>
				<div id="author-links">
					<?php if( get_the_author_meta('url') ) : ?><a href="<?php echo esc_attr(get_the_author_meta('url')); ?>" id="author-url">
						<?php _e( 'Author URL' , 'android'); ?>
					</a><?php endif; ?>

					
					<a href="<?php echo get_author_posts_url( get_the_author_meta( 'ID' ) ); ?>" id="posts-link">
						<?php printf( __( 'All posts by %s &rarr;', 'android'), get_the_author() ); ?>
					</a>
				</div>
			</div>
			<?php endif; ?>

			
		</div><!-- #post-## -->

		<div id="nav-below" class="navigation post-navigation">
			<div class="older"><?php previous_post_link( '%link', _x( '&larr;', 'Previous post link', 'android' ) . ' %title' ); ?></div>
			<div class="newer"><?php next_post_link( '%link', '%title ' . _x( '&rarr;', 'Next post link', 'android' ) ); ?></div>
			<br class="clear" />
		</div><!-- #nav-below -->

		<?php comments_template( '', true ); ?>

<?php endwhile; // End the loop. Whew. ?>

</div>
<?php
get_sidebar();
get_footer();
?>